/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useState, useEffect} from 'react'
import FormControl from '@material-ui/core/FormControl';
import {StyledFormLabel} from '../StyledComponents.js'
import Checkbox from '@material-ui/core/Checkbox';
import FormGroup from '@material-ui/core/FormGroup';
import FormControlLabel from '@material-ui/core/FormControlLabel';

export default function EducationalStage (props) {
    const stages = [
        {name : 'Educação Infantil', id : 0},
        {name : 'Ensino Fundamental I (1º até o 5º ano)', id : 1},
        {name : 'Ensino Fundamental II (do 6º até o 9º ano)', id : 2},
        {name : 'Ensino Médio', id : 3},
        {name : 'Ensino Superior', id : 4},
        {name : 'Outros', id : 5}
    ]

    let selected = [false, false, false, false, false, false]

    return (
        <FormControl required style={{minWidth : "30%"}}>
            <StyledFormLabel component="legend" style={{fontSize : "14px", marginBottom : "10px"}}>
                <b>Nível de ensino</b> <span style={{color : "#a5a5a5"}}>(Selecione uma ou mais opções)</span>
            </StyledFormLabel>
            <FormGroup>
                {
                    stages.map(stage =>
                        <FormControlLabel key={stage.id} label={stage.name}
                            control={<Checkbox checked={stage.selected} value={stage.id} onChange={() => {selected[stage.id] = !selected[stage.id]}}/>}/>
                    )
                }
            </FormGroup>
        </FormControl>

    )
}
